CVE-2024-32001

CVSS 3.1 Score 2.2 of 10 (low)

Details

Published Apr 10, 2024
Updated: Apr 11, 2024
CWE ID 755

Summary

CVE-2024-32001 is a vulnerability that affects SpiceDB, a graph database used for storing and evaluating access control data. The vulnerability arises when a specific type of relation is used, causing LookupSubjects to only return subjects found under certain conditions. This bug impacts users making negative authorization decisions based on LookupSubjects requests with versions before v1.30.1. To remediate the issue, users are advised to either avoid using LookupSubjects for negative authorization decisions or refrain from using the problematic schema. The potential danger posed to organizations is relatively low, with a base severity of LOW and an exploitability score of 0.7 out of 10.

Explore Beyond the CVE Basics with Recorded Future's Vulnerability Intelligence

Note: This is just a basic overview providing quick insights into CVE-2024-32001 information. Gain full access to comprehensive CVE data, risk scores, prioritization, and mitigation data through Recorded Future's Vulnerability Intelligence:
  • Prioritize with Risk-Based Scoring
  • Explore the Extensive Vulnerability Database
  • Receive Early Alerts on Emerging CVEs
  • Focus on Critical Exploitable Vulnerabilities
  • Streamline Remediation with Integration Options